Subject: Re: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Juri Linkov <[email-masked]>
Date: Tue, 21 Jun 2022 20:46:00 +0300

> My original report was about enabling these in init.el and seeing the
> message in the *Messages* buffer.  I have the following in my init:
>
> (size-indication-mode)
> (column-number-mode)
> (show-paren-mode)
> (recentf-mode)
> (which-function-mode)
> (global-hl-line-mode)
> (context-menu-mode)			; new in Emacs 28
> (global-so-long-mode)
> (repeat-mode)				; new in Emacs 28
>
> Of the above, only recentf-mode and repeat-mode write to the
> *Messages* buffer on startup.  I added electric-pair-mode to my
> init and it did not write to *Messages* though if I toggle it interactively
> with M-x it does output (I assume to the echo area).

I see now that define-minor-mode displays the message conditionally on

  (called-interactively-p 'any)

Maybe repeat-mode could do the same.